#include <bits/stdc++.h>

using namespace std;

int main()
{
    double p, q, r;
    long long int d, l;
    cin >> p >> q >> r >> d >> l;
    int c = 0;
    int pq = p * q;
    int pr = p * r;
    int qr = q * r;
    while(min(min(pq, pr), qr) < l)
    {
        if (d <= pq && pq <= l)
        {
            c++;
        }

        if (d <= pr && pr <= l)
        {
            c++;
        }

        if (d <= qr && qr <= l)
        {
            c++;
        }
        pq *= 2;
        pr *= 2;
        qr *= 2;
    }
    cout<<c;
    return 0;
}